function dYfuncvecdt = ODEfun(t,Yfuncvec); 
Cc= Yfuncvec(1);
Cp= Yfuncvec(2);
% Explicit equations
kpc = 3.0651; 
kcp = 3.936;  
kr =  1.0;  
ke =  1.0;  
k0 =  kr+ke+kcp;  
% Differential equations
dCcdt = -k0*Cc+kpc*Cp;
dCpdt = kcp*Cc-kpc*Cp;
dYfuncvecdt=[dCcdt;dCpdt];



